import { __decorate, __metadata } from 'tslib';
import { Component, NgModule } from '@angular/core';
import { APP_BASE_HREF } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { FormsModule } from '@angular/forms';
import { FlexLayoutModule } from '@angular/flex-layout';
import { NativeDateAdapter, MatInputModule, MatCardModule, MatFormFieldModule, MatButtonModule, MatDatepickerModule, MatNativeDateModule, DateAdapter, MAT_DATE_FORMATS } from '@angular/material';
import { NgxChartsModule } from '@swimlane/ngx-charts';

let AppComponent = class AppComponent {
    constructor() { }
};
AppComponent = __decorate([
    Component({
        selector: 'my-app',
        template: "<app-barchart></app-barchart>",
        styles: ["p{font-family:Lato}"]
    }),
    __metadata("design:paramtypes", [])
], AppComponent);

var single = [
    {
        'name': '22.03.2019',
        'value': 120
    },
    {
        'name': '23.03.2019',
        'value': 110
    },
    {
        'name': '24.03.2019',
        'value': 140
    },
    {
        'name': '25.03.2019',
        'value': 145
    },
    {
        'name': '26.03.2019',
        'value': 125
    },
    {
        'name': '27.03.2019',
        'value': 136
    },
    {
        'name': '28.03.2019',
        'value': 150
    },
    {
        'name': '29.03.2019',
        'value': 135
    },
];

let BarchartComponent = class BarchartComponent {
    constructor() {
        Object.assign(this, { single });
        console.log(innerWidth);
    }
    onResize(event) {
        this.view = [event.target.innerWidth / 1.15, 400];
    }
};
BarchartComponent = __decorate([
    Component({
        selector: 'app-barchart',
        template: "<mat-card class=\"mat-elevation-z2\">\n\n\t<mat-card-header>\n\t\t<mat-card-title>\n\t\t\tEnerji T\u00FCketim Grafi\u011Fi\n\t\t</mat-card-title>\n\t\t<mat-card-subtitle>\n\t\t\t21.04.2019 - 22.04.2019\n\t\t</mat-card-subtitle>\n\t</mat-card-header>\n\n\t<mat-card-content  >\n\n\t\t<div fxLayout fxLayout.xs=\"row wrap\" fxLayoutAlign=\"flex-start\" class=\"tarih\">\n\t\t\n\t\t\t\t<mat-form-field>\n\t\t\t\t\t<input matInput [matDatepicker]=\"picker1\" placeholder=\"Ba\u015Flang\u0131\u00E7 Tarihi Se\u00E7iniz\">\n\t\t\t\t\t<mat-datepicker-toggle  matSuffix [for]=\"picker1\"></mat-datepicker-toggle>\n\t\t\t\t\t<mat-datepicker #picker1></mat-datepicker>\n\t\t\t\t</mat-form-field>\n\t\t\t\n\t\t\t\n\t\t\t\t<mat-form-field >\n\t\t\t\t\t<input matInput [matDatepicker]=\"picker2\" placeholder=\"Biti\u015F Tarihi Se\u00E7iniz\">\n\t\t\t\t\t<mat-datepicker-toggle matSuffix [for]=\"picker2\"></mat-datepicker-toggle>\n\t\t\t\t\t<mat-datepicker #picker2></mat-datepicker>\n\t\t\t\t</mat-form-field>\n\t\t\t\n\t\t\t\t<button  mat-raised-button style=\"background-color:#e2e2e2;color:#4682B4\">Tamamla</button>\n\t\t\n\t\t</div>\n<div id=\"chart-parent\">\n\t\t<ngx-charts-bar-vertical [results]=\"single\"(window:resize)=\"onResize($event)\" [view]=\"view\"\n\t\t\t[scheme]=\"{ domain: [ '#4682B4', '#B0C4DE', '#5F9EA0' ] }\"\n\t\t\t[barPadding]=\"20\" [xAxis]=\"true\" [yAxis]=\"true\" [xAxisLabel]=\"'Tarih'\" [yAxisLabel]=\"'kWh'\"\n\t\t\t[showXAxisLabel]=\"true\" [showYAxisLabel]=\"true\">\n\t\t</ngx-charts-bar-vertical>\n</div>\n\t</mat-card-content>\n\n</mat-card>\n\n<!-- \n  Ayarlar K\u0131sm\u0131\n  Bile\u015Fenin g\u00F6r\u00FCnt\u00FClerken kullanaca\u011F\u0131 tarih aral\u0131\u011F\u0131 SELECT ile se\u00E7ilmeli\n  - Son 1 Hafta, \n  - Son 1 Ay, \n  - Son 3 Ay ...\n\n  Enerji G\u00F6sterimi\n  - T\u00FCketim Birimi\n    - Watt\n    - kWh\n  - Para Birimi\n    - TRL\n    - USD\nhttps://www.w3schools.com/tags/tryit.asp?filename=tryhtml_optgroup\n  G\u00F6sterilecek PowerMeters\n  [x] Et Odas\u0131\n  [x] Meyve Odas\u0131\n  [x] Kiraz So\u011Futma\n  [ ] Selim A.\u015E.\n  [x] Netlog \n\n\n  Data Modelleri \n  {\n    enerjiTuketimKartAyarlari: {\n      PowerMeters:{ id:1, alias:\"\" },\n      Enerji: 4, //USD,\n      Son: 2 // son 1 ay\n    },\n    DS:{\n      PowerMEters:[{},{}...],\n      Enerji:[{id:1, Alias:\"Watt\"},{...},...],\n      SonGosterim:[{id:1, Alias:\"Son 1 Hafta\"},{...},...],\n    }\n  }\n\n\n -->",
        styles: ["mat-card{overflow:auto}mat-card-content div{margin:5px;flex:1}.tarih{align-items:center;display:flex;flex-direction:row}.tarih>*{flex:1 0 calc(33% - 5px)}.tarih>:not(:last-child){margin-right:5px}"]
    }),
    __metadata("design:paramtypes", [])
], BarchartComponent);

const TURKISH_DATE_FORMATS = {
    parse: {
        dateInput: { month: 'short', year: 'numeric', day: 'numeric' }
    },
    display: {
        // dateInput: { month: 'short', year: 'numeric', day: 'numeric' },
        dateInput: 'input',
        monthYearLabel: { year: 'numeric', month: 'short' },
        dateA11yLabel: { year: 'numeric', month: 'long', day: 'numeric' },
        monthYearA11yLabel: { year: 'numeric', month: 'long' },
    }
};
class TurkishDateFormat extends NativeDateAdapter {
    format(date, displayFormat) {
        if (displayFormat == "input") {
            let day = date.getDate();
            let month = date.getMonth() + 1;
            let year = date.getFullYear();
            return this._to2digit(day) + '/' + this._to2digit(month) + '/' + year;
        }
        else {
            return date.toDateString();
        }
    }
    _to2digit(n) {
        return ('00' + n).slice(-2);
    }
}

const ɵ0 = TURKISH_DATE_FORMATS;
let AppModule = class AppModule {
};
AppModule = __decorate([
    NgModule({
        imports: [
            BrowserModule,
            BrowserAnimationsModule,
            FormsModule,
            FlexLayoutModule,
            NgxChartsModule,
            MatInputModule,
            MatCardModule,
            MatFormFieldModule,
            MatButtonModule,
            MatDatepickerModule,
            MatNativeDateModule
        ],
        declarations: [AppComponent, BarchartComponent],
        providers: [
            { provide: DateAdapter, useClass: TurkishDateFormat },
            { provide: MAT_DATE_FORMATS, useValue: ɵ0 },
            { provide: APP_BASE_HREF, useValue: '/' }
        ],
        bootstrap: [AppComponent]
    })
], AppModule);

/**
 * Generated bundle index. Do not edit.
 */

export { AppModule, ɵ0, AppComponent as ɵa, BarchartComponent as ɵb, TURKISH_DATE_FORMATS as ɵc, TurkishDateFormat as ɵd };
//# sourceMappingURL=melikeg-angular.js.map
